Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QXmlDTDHandler Class Reference
[XML module]

The QXmlDTDHandler class provides an interface to report DTD content of XML data. More...

`#include <qxml.h>`

Inherited by QXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool notationDecl ( const QString & name, const QString & publicId, const QString & systemId ) = 0
- virtual bool unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName ) = 0
- virtual QString errorString () = 0

## Detailed Description

The QXmlDTDHandler class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, it can implement this interface and register an instance with QXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report, i.e. notation and unparsed entity declarations using notationDecl() and unparsedEntityDecl() respectively.

See also the Introduction to SAX2.

See also QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlErrorHandler, QXmlLexicalHandler and XML.

## Member Function Documentation

### QString QXmlDTDHandler::errorString ()`[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE.

### bool QXmlDTDHandler::notationDecl ( const QString & name, const QString & publicId, const QString & systemId )`[pure virtual]`

The reader calls this function when it has parsed a notation declaration.

The argument name is the notation name, publicId is the notations's public identifier and systemId is the notations's system identifier.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### bool QXmlDTDHandler::unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName )`[pure virtual]`

The reader calls this function when it finds an unparsed entity declaration.

The argument name is the unparsed entity's name, publicId is the entity's public identifier, systemId is the entity's system identifier and notationName is the name of the associated notation.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.